Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ValueDomainAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ValueDomainAdmin

    public class ValueDomainAdmin

extends java.lang.Object

The `ValueDomainAdmin.java` class - colleciton of ValueDomain admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ValueDomainAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createValueDomain(LibrarySession sess, ParameterTable params)` Section variant of Create ValueDomain
`protected void` | `createValueDomain(LibrarySession sess, java.lang.String nameToken, java.lang.String descriptionToken)` inline variant of Create ValueDomain
`protected void` | `createValueDomain(LibrarySession sess, ValueDomainDefinition def)` internal variant of Create ValueDomain
`protected void` | `freeValueDomain(LibrarySession sess, ParameterTable params)` Section variant of Free ValueDomain
`protected void` | `freeValueDomain(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free ValueDomain
`protected ValueDomain` | `lookupValueDomain(LibrarySession sess, java.lang.String name)` Lookup ValueDomain by name
`protected void` | `modifyValueDomain(LibrarySession sess, ParameterTable params)` Section variant of Modify ValueDomain
`protected void` | `modifyValueDomain(LibrarySession sess, java.lang.String name, ValueDomainDefinition def)` internal variant of Modify ValueDomain
`protected void` | `showValueDomain(LibrarySession sess, ParameterTable params)` Section variant of showValueDomain
`protected void` | `showValueDomain(LibrarySession sess, java.lang.String name)` Inline/internal variant of showValueDomain
`protected void` | `showValueDomain(LibrarySession sess, ValueDomain valdomain)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ValueDomainAdmin

    public ValueDomainAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createValueDomain

    protected void createValueDomain(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Section variant of Create ValueDomain

  Throws:
    `IfsException`

### createValueDomain

    protected void createValueDomain(LibrarySession sess,
                                     java.lang.String nameToken,
                                     java.lang.String descriptionToken)
                              throws IfsException

  Description copied from class: `ValueDomainAdmin`
  inline variant of Create ValueDomain

  Throws:
    `IfsException`

### createValueDomain

    protected void createValueDomain(LibrarySession sess,
                                     ValueDomainDefinition def)
                              throws IfsException

  Description copied from class: `ValueDomainAdmin`
  internal variant of Create ValueDomain

  Throws:
    `IfsException`

### modifyValueDomain

    protected void modifyValueDomain(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Section variant of Modify ValueDomain

  Throws:
    `IfsException`

### modifyValueDomain

    protected void modifyValueDomain(LibrarySession sess,
                                     java.lang.String name,
                                     ValueDomainDefinition def)
                              throws IfsException

  Description copied from class: `ValueDomainAdmin`
  internal variant of Modify ValueDomain

  Throws:
    `IfsException`

### freeValueDomain

    protected void freeValueDomain(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Section variant of Free ValueDomain

  Throws:
    `IfsException`

### freeValueDomain

    protected void freeValueDomain(LibrarySession sess,
                                   java.lang.String name)
                            throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Inline/internal variant of Free ValueDomain

  Throws:
    `IfsException`

### showValueDomain

    protected void showValueDomain(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Section variant of showValueDomain

  Throws:
    `IfsException`

### showValueDomain

    protected void showValueDomain(LibrarySession sess,
                                   java.lang.String name)
                            throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Inline/internal variant of showValueDomain

  Throws:
    `IfsException`

### showValueDomain

    protected void showValueDomain(LibrarySession sess,
                                   ValueDomain valdomain)
                            throws IfsException

  Throws:
    `IfsException`

### lookupValueDomain

    protected ValueDomain lookupValueDomain(LibrarySession sess,
                                            java.lang.String name)
                                     throws IfsException

  Description copied from class: `ValueDomainAdmin`
  Lookup ValueDomain by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD